Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 153046

Summary: Get "ipw2200: Radio Frequency Kill Switch is On" after switch back from Ethernet to Wireless network after reboot.
Product: [Fedora] Fedora Reporter: Jason Lim <filex>
Component: kernelAssignee: Dave Jones <davej>
Status: CLOSED CANTFIX QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 3CC: byte, pfrields, redhat, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-10-03 00:58:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jason Lim 2005-04-01 04:12:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
So far I have this problem with my latop Acer TravelMate 6000. 


Version-Release number of selected component (if applicable):
Kernel-2.6.10-1.770_FC3

How reproducible:
Always

Steps to Reproduce:
1. Restart the linux box with only ethernet(eth0) network connection. 
2. Restart again with only wireless(eth1-ipw2200-1.0.2) network connection.
3. Get "invalid MAC Address...ignoring" when machine startup
4. Check /var/log/message OR dmesg get: 
 Mar 28 10:02:48 localhost kernel: ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
Mar 28 10:02:48 localhost kernel: ipw2200: Radio Frequency Kill Switch is On:
Mar 28 10:02:48 localhost kernel: Kill switch must be turned off for wireless networking to work.


Actual Results:  This file /sys/bus/pci/drivers/ipw2200/0000\:02\:04.0/rf_kill give me "2" instead of normal as"0"

Additional info:

Temporary solution: 
Boot with Win XP and press "enable wireless connection button" and reboot.
Everything will go back to normal.

Comment 1 Dave Jones 2005-04-04 04:52:59 UTC
*** Bug 153057 has been marked as a duplicate of this bug. ***

Comment 2 Dave Jones 2005-07-15 18:39:36 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 3 Dave Jones 2005-10-03 00:58:55 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.